<?php

namespace YooMoney\Helpers\OauthHelpers;

interface OauthWebhooksHelperInterface
{
    /**
     * Получение ссылки на уведомления
     *
     * @return string
     */
    public function getNotificationUrl();

    /**
     * Создание вебхуков по токену
     *
     * @param string $token
     * @param string $notificationUrl
     * @return void
     */
    public function addWebhooksWithGivenToken($token, $notificationUrl);

    /**
     * Удаление вебхуков по токену
     *
     * @param string $token
     * @return void
     */
    public function removeWebhooksWithGivenToken($token);
}